For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Shipping Provider
      • Tax Provider
          • POSTEstimate Taxes
          • POSTVoid Tax Quote
          • POSTCommit Tax Quote
          • POSTAdjust Tax Quote
      • Webhooks
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTIntegrationsTax Provider

Adjust Tax Quote

POST
https://your_app.example.com/adjust
POST
/adjust
$curl -X POST "https://your_app.example.com/adjust?id=id" \
> -H "X-Bc-Store-Hash: X-Bc-Store-Hash" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>" \
> -d '{
> "id": "string",
> "currency_code": "string",
> "customer": {
> "customer_id": "string",
> "customer_group_id": "0"
> },
> "transaction_date": "2024-01-15T09:30:00Z",
> "documents": [
> {
> "id": "string",
> "destination_address": {},
> "origin_address": {},
> "shipping": {
> "id": "string",
> "price": {
> "amount": 1.5,
> "tax_inclusive": false
> },
> "quantity": 1,
> "type": "shipping"
> },
> "handling": {
> "id": "string",
> "price": {
> "amount": 1.5,
> "tax_inclusive": false
> },
> "quantity": 1,
> "type": "handling"
> },
> "items": [
> {
> "id": "string",
> "price": {
> "amount": 1.5,
> "tax_inclusive": false
> },
> "quantity": 1,
> "type": "item"
> }
> ]
> }
> ]
>}'
1{
2 "id": "3f0c857e-2c55-443e-a89b-c3c4d8a29605",
3 "documents": [
4 {
5 "id": "5d522b889d3d9",
6 "items": [
7 {
8 "id": "088c7465-e5b8-4624-a220-0d9faa82e7cb",
9 "price": {
10 "amount_inclusive": 675,
11 "amount_exclusive": 450,
12 "total_tax": 225,
13 "tax_rate": 0.5,
14 "sales_tax_summary": [
15 {
16 "name": "Brutal Tax",
17 "rate": 0.5,
18 "amount": 225,
19 "tax_class": {
20 "code": "US",
21 "class_id": "0",
22 "name": "Brutal Tax"
23 },
24 "id": "Brutal Tax"
25 }
26 ]
27 },
28 "type": "item",
29 "wrapping": {
30 "id": "d2675662-6326-4a23-9107-ab71fa6a21a1",
31 "price": {
32 "amount_inclusive": 7.5,
33 "amount_exclusive": 5,
34 "total_tax": 2.5,
35 "tax_rate": 0.5,
36 "sales_tax_summary": [
37 {
38 "name": "BRUTAL TAX",
39 "rate": 0.5,
40 "amount": 2.5,
41 "tax_class": {
42 "code": "US",
43 "class_id": "6",
44 "name": "Wrapping"
45 },
46 "id": "1"
47 }
48 ]
49 },
50 "type": "wrapping"
51 }
52 },
53 {
54 "id": "d2675662-6326-4a23-9107-ab71fa6a21a1",
55 "price": {
56 "amount_inclusive": 300,
57 "amount_exclusive": 200,
58 "total_tax": 100,
59 "tax_rate": 0.5,
60 "sales_tax_summary": [
61 {
62 "name": "Brutal Tax",
63 "rate": 0.5,
64 "amount": 100,
65 "tax_class": {
66 "code": "US",
67 "class_id": "0",
68 "name": "Brutal Tax"
69 },
70 "id": "Brutal Tax"
71 }
72 ]
73 },
74 "type": "item",
75 "wrapping": {
76 "id": "d2675662-6326-4a23-9107-ab71fa6a21a1",
77 "price": {
78 "amount_inclusive": 7.5,
79 "amount_exclusive": 5,
80 "total_tax": 2.5,
81 "tax_rate": 0.5,
82 "sales_tax_summary": [
83 {
84 "name": "BRUTAL TAX",
85 "rate": 0.5,
86 "amount": 2.5,
87 "tax_class": {
88 "code": "US",
89 "class_id": "6",
90 "name": "Wrapping"
91 },
92 "id": "1"
93 }
94 ]
95 },
96 "type": "wrapping"
97 }
98 }
99 ],
100 "shipping": {
101 "id": "5d522b889d3d9",
102 "price": {
103 "amount_inclusive": 15,
104 "amount_exclusive": 10,
105 "total_tax": 5,
106 "tax_rate": 0.5,
107 "sales_tax_summary": [
108 {
109 "name": "Brutal Tax",
110 "rate": 0.5,
111 "amount": 5,
112 "tax_class": {
113 "code": "US",
114 "class_id": "0",
115 "name": "Brutal Tax"
116 },
117 "id": "Brutal Tax"
118 }
119 ]
120 },
121 "type": "shipping"
122 },
123 "handling": {
124 "id": "5d522b889d3d9",
125 "price": {
126 "amount_inclusive": 0,
127 "amount_exclusive": 0,
128 "total_tax": 0,
129 "tax_rate": 0.5,
130 "sales_tax_summary": [
131 {
132 "name": "Brutal Tax",
133 "rate": 0.5,
134 "amount": 0,
135 "tax_class": {
136 "code": "US",
137 "class_id": "0",
138 "name": "Brutal Tax"
139 },
140 "id": "Brutal Tax"
141 }
142 ]
143 },
144 "type": "handling"
145 }
146 }
147 ]
148}
Replace the persisted tax quote (identified by the given unique ID) with the provided quote request (represented by the **AdjustRequest**). Relevant for returns, partial refunds, and other Order modifications where there have been changes to the tax liabilities. The returned **Tax Quote** response is expected to be the same to a response returned by an equivalent response to **estimate** or **commit** methods. > Server URL > - For supporting tax providers, the server URL contains the tax providerʼs profile field; for example, `your_profile.example.com`. > - The Try it feature is not currently supported for this endpoint.
Was this page helpful?
Previous

Commit Tax Quote

Next

Get Connection Status

Built with

Replace the persisted tax quote (identified by the given unique ID) with the provided quote request (represented by the AdjustRequest).

Relevant for returns, partial refunds, and other Order modifications where there have been changes to the tax liabilities.

The returned Tax Quote response is expected to be the same to a response returned by an equivalent response to estimate or commit methods.

Server URL

  • For supporting tax providers, the server URL contains the tax providerʼs profile field; for example, your_profile.example.com.
  • The Try it feature is not currently supported for this endpoint.

Authentication

AuthorizationBasic
The [HTTP Basic Authentication](https://developer.mozilla.org/en-US/docs/Web/HTTP/Authentication) (developer.mozilla.org) credentials used to authenticate each API request to the tax provider from the associated store; set and update `username`, `password`, and optionally `profile`, using the [Update a Connection](/developer/api-reference/rest/integrations/tax-provider/tax-provider-connection/update-tax-provider-connection) request. `profile` is an optional field and will be used with supporting providers only. For more, see [developer-configured authentication](/developer/docs/overview/api-fundamentals/api-accounts#developer-configured-authentication) for Provider APIs.

Headers

X-Bc-Store-HashstringRequired

BigCommerce will send through the store hash as part of all tax provider operations. Each BigCommerce store on the platform has a unique store hash value for the store’s lifetime. This value can assist in account verification or profile matching responsibilities.

Query parameters

idstringRequired
Unique ID identifying the existing, persisted tax quote that will be adjusted.

Request

This endpoint expects an object.
idstringRequired

Unique ID of the taxable document (order, cart, quote, etc) this tax quote request is being generated for. Will remain consistent for the lifetime of the entity being estimated.

currency_codestringRequired
ISO 4217 3 character currency code that all prices on this request are in.
customerobjectRequired

If the shopper is a registered customer in the merchant’s store, basic details for that customer.

transaction_datedatetimeRequired
ISO 8601 formatted date the shopper placed this order. Tax quotes are expected to reflect taxes applicable on this date. Dates will be provided in UTC.
documentslist of objectsRequired

One or more consignments containing items being purchased by the shopper, including shipping and handling fees that are charged for each consignment. Most orders will contain a single consignment (to a single shipping address), however the BigCommerce platform also supports “Multi-address orders” which allow shoppers to place a single order with items shipped to different addresses.

adjust_descriptionstringOptional

Specifies the reason for the adjustment operation, for auditing purposes. May be a custom, user-entered description.

Response

Returned Tax Quote response matches the updated QuoteRequest provided to the service method.
idstring

The unique identifier of the tax quote that was requested. This value must either match the ID of the requested quote or be an external ID on the tax provider’s system. This value will be used for future adjust and void operations.

documentslist of objects

Represents an order quote or part of an order quote of tax-relevant items fulfilled from a single origin address to a single destination address, including arrays of shipping and handling fee objects for each item. Most order quotes contain a single document; however, BigCommerce supports “multi-address orders”, which may come from or go to distinct sets of addresses and thus require multiple documents per quote.

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error

The HTTP Basic Authentication (developer.mozilla.org) credentials used to authenticate each API request to the tax provider from the associated store; set and update username, password, and optionally profile, using the Update a Connection request. profile is an optional field and will be used with supporting providers only.

For more, see developer-configured authentication for Provider APIs.